{ pkgs, flake-inputs }:
let
  inherit (flake-inputs.nixpkgs-unstable.legacyPackages.${pkgs.system}) ast-grep;
in
pkgs.lib.packagesFromDirectoryRecursive {
  callPackage = pkgs.lib.callPackageWith (pkgs // { inherit ast-grep; });
  directory = ./packages;
}
